vos partinfo               AFS Commands            vos partinfo


NAME

   vos partinfo -- show available and total space on specified

                       partition(s).


   vos partinfo  -server <machine name>  [-partition <partition
   name>]       [-cell <cell name>]  [-noauth]  [-localauth]
   [-verbose]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos p  -s <machine name>  [-p <partition name>]  [-c <cell
   name>]
   [-n]  [-l]  [-v]  [-h]

DESCRIPTION

   Lists the amount of space available and total size on either
   all  of  the partitions on the indicated file server machine
   (if -partition is omitted) or  the  specified  partition  on
   that file server machine.  The VLDB is not consulted.

ARGUMENTS

   -server         names  the  file server machine for which to
                   inspect the partitions.   Abbreviated  forms
                   of machine names may be allowed depending on
                   the naming service available at the time the
                   command  is  issued;  see  page  xii  in the
                   introductory  About  This  Manual   chapter.
                   -partition
                   names the particular partition  to  inspect.
                   In  addition  to  the full /vicepx form of a
                   partition  name,  three  shorter  forms  are
                   acceptable; see page xii in the introductory
                   About This Manual chapter.

   -cell           specifies the  cell  in  which  to  run  the
                   command.    See section 8.3 in the Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to assign  the  identity  anonymous  to  the
                   issuer.    See  section 8.3 in the Reference
                   Manual for more details.  -localauth
                   constructs  a server ticket using a key from
                   /usr/afs/etc/KeyFile.  See  section  8.3  in
                   the   Reference  Manual  for  more  details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to report on what they  are  doing  as  they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not provide any  other  arguments  or  flags
                   with  this  one.    See  section  8.3 in the
                   Reference Manual for more details.



OUTPUT

   Note: The total partition size reported in this command  may
   not agree with the same figure in the output of the standard
   UNIX df command.  The df total size includes  some  reserved
   space that does not show up in this report, and so is likely
   to be about 10% larger.

   The output reports the amount of space available  and  total
   space for each specified partition.

EXAMPLE

   The following lists all the partitions on fs2.transarc.com.

       % vos p fs2.transarc.com
       Free space on partition /vicepa : 27301 K blocks out
       Free space on partition /vicepb : 13646 K blocks out
       Free space on partition /vicepc : 31798 K blocks out
       Free space on partition /vicepd : 33302 K blocks out

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   vos listpart
